> For the complete documentation index, see [llms.txt](https://docs.appfarm.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appfarm.io/reference/appfarm-create/settings.md).

# Settings

Appfarm Create supports a limited set of settings that allow you to customize your workspace. Open them by clicking the solution name in the top-left of Appfarm Create and selecting **Settings**. Settings are stored in your web browser's local storage and are not associated with your user account.

### Preferences

| Preference | Options                                 | Description                                              |
| ---------- | --------------------------------------- | -------------------------------------------------------- |
| Theme      | System Default (default), Light, Dark   | Specifies the color theme for Appfarm Create.            |
| Motion     | System Default (default), Reduce Motion | Turn off decorative animation effects in Appfarm Create. |

### Function editor

| Preference | Options                              | Description                                                          |
| ---------- | ------------------------------------ | -------------------------------------------------------------------- |
| Font size  | Small, Medium (default), Large, Huge | Set the font size for the function editor.                           |
| Word wrap  | On (default), Off                    | Control how lines should wrap in the function editor.                |
| Minimap    | On (default), Off                    | Show a minimap of the code on the right side of the function editor. |

### Appfarm AI

Settings related to Appfarm AI.

| Preference                           | Options           | Description                                                                                                                                                                                    |
| ------------------------------------ | ----------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| AI credits                           | —                 | Shows the AI credits remaining for the solution. Click **Add credits** to purchase more.                                                                                                       |
| Enable AI-generated development data | On, Off (default) | Automatically generate realistic test data for development. To ensure valid relationships, the AI only reads technical IDs. Your actual business data is never sent to or processed by the AI. |
| Agent knowledge                      | —                 | Provide [custom guidelines](/reference/appfarm-ai/build.md#custom-agent-knowledge) to define how the Build agent should behave. Start small and add more details as needed.                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.appfarm.io/reference/appfarm-create/settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
